StringCharacterIterator
Date: 2016-06-24

java.text

## Class StringCharacterIterator

- java.lang.Object
- - java.text.StringCharacterIterator

- All Implemented Interfaces:
    Cloneable, CharacterIterator

      public final class StringCharacterIterator
      extends Object
      implements CharacterIterator

- - ### Field Summary

    - ### Fields inherited from interface java.text.CharacterIterator

      `DONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringCharacterIterator(String var0)`
    `StringCharacterIterator(String var0, int var1)`
    `StringCharacterIterator(String var0, int var1, int var2, int var3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `char` | `current()`
    `char` | `first()`
    `int` | `getBeginIndex()`
    `int` | `getEndIndex()`
    `int` | `getIndex()`
    `char` | `last()`
    `char` | `next()`
    `char` | `previous()`
    `char` | `setIndex(int var0)`
    `void` | `setText(String var0)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringCharacterIterator

          public StringCharacterIterator(String var0)

    - #### StringCharacterIterator

          public StringCharacterIterator(String var0,
                                 int var1)

    - #### StringCharacterIterator

          public StringCharacterIterator(String var0,
                                 int var1,
                                 int var2,
                                 int var3)

  - ### Method Detail

    - #### clone

          public Object clone()

      Specified by:
        `clone` in interface `CharacterIterator`
      Overrides:
        `clone` in class `Object`

    - #### current

          public char current()

      Specified by:
        `current` in interface `CharacterIterator`

    - #### first

          public char first()

      Specified by:
        `first` in interface `CharacterIterator`

    - #### getBeginIndex

          public int getBeginIndex()

      Specified by:
        `getBeginIndex` in interface `CharacterIterator`

    - #### getEndIndex

          public int getEndIndex()

      Specified by:
        `getEndIndex` in interface `CharacterIterator`

    - #### getIndex

          public int getIndex()

      Specified by:
        `getIndex` in interface `CharacterIterator`

    - #### last

          public char last()

      Specified by:
        `last` in interface `CharacterIterator`

    - #### next

          public char next()

      Specified by:
        `next` in interface `CharacterIterator`

    - #### previous

          public char previous()

      Specified by:
        `previous` in interface `CharacterIterator`

    - #### setIndex

          public char setIndex(int var0)

      Specified by:
        `setIndex` in interface `CharacterIterator`

    - #### setText

          public void setText(String var0)